Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.grid
Class GridConstants

    java.lang.Object
      org.apache.tapestry5.grid.GridConstants

    public class GridConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `COLUMNS_ASCENDING` Default `Asset` for ascending columns sort
`static java.lang.String` | `COLUMNS_DESCENDING` Default `Asset` for ascending columns sort
`static java.lang.String` | `COLUMNS_SORTABLE` Default `Asset` for sortable columns
`static java.lang.String` | `EMPTY_BLOCK` Block name to display in place of an empty `Grid`
`static java.lang.String` | `FIRST_CLASS` CSS class for the first column or the first row.
`static java.lang.String` | `LAST_CLASS` CSS class for the last column or the last row.
`static int` | `PAGER_PAGE_RANGE` Default number of page to display before and after the current page in the `GridPager`
`static java.lang.String` | `PAGER_POSITION` Default pager position
`static int` | `ROWS_PER_PAGE` Number of rows to diplay within each `Grid` page.
`static java.lang.String` | `SORT_ASCENDING_CLASS` Marks the column that is currently sorted for sort ascending.
`static java.lang.String` | `SORT_DESCENDING_CLASS` Marks the column that is currently sorted for sort descending.
`static java.lang.String` | `TABLE_CLASS` CSS class for the <table> element.

Constructor Summary
`GridConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST_CLASS

    public static final java.lang.String FIRST_CLASS

  CSS class for the first column or the first row. May be applied to a <th> (in the <thead>) or a <tr> (in the <tbody>).

  See Also:
    Constant Field Values

### LAST_CLASS

    public static final java.lang.String LAST_CLASS

  CSS class for the last column or the last row. May be applied to a <th> (in the <thead>) or a <tr> (in the <tbody>).

  See Also:
    Constant Field Values

### SORT_ASCENDING_CLASS

    public static final java.lang.String SORT_ASCENDING_CLASS

  Marks the column that is currently sorted for sort ascending. May be applied to a <th> (in the <thead> or a <td> in the <tbody>).

  See Also:
    Constant Field Values

### SORT_DESCENDING_CLASS

    public static final java.lang.String SORT_DESCENDING_CLASS

  Marks the column that is currently sorted for sort descending. May be applied to a <th> (in the <thead> or a <td> in the <tbody>).

  See Also:
    Constant Field Values

### ROWS_PER_PAGE

    public static final int ROWS_PER_PAGE

  Number of rows to diplay within each `Grid` page.

  See Also:
    Constant Field Values

### TABLE_CLASS

    public static final java.lang.String TABLE_CLASS

  CSS class for the <table> element.

  See Also:
    Constant Field Values

### PAGER_POSITION

    public static final java.lang.String PAGER_POSITION

  Default pager position

  See Also:
    Constant Field Values

### EMPTY_BLOCK

    public static final java.lang.String EMPTY_BLOCK

  Block name to display in place of an empty `Grid`

  See Also:
    Constant Field Values

### PAGER_PAGE_RANGE

    public static final int PAGER_PAGE_RANGE

  Default number of page to display before and after the current page in the `GridPager`

  See Also:
    Constant Field Values

### COLUMNS_ASCENDING

    public static final java.lang.String COLUMNS_ASCENDING

  Default `Asset` for ascending columns sort

  See Also:
    Constant Field Values

### COLUMNS_DESCENDING

    public static final java.lang.String COLUMNS_DESCENDING

  Default `Asset` for ascending columns sort

  See Also:
    Constant Field Values

### COLUMNS_SORTABLE

    public static final java.lang.String COLUMNS_SORTABLE

  Default `Asset` for sortable columns

  See Also:
    Constant Field Values

Constructor Detail

### GridConstants

    public GridConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.